App Store Connect API

RSS for tag

The App Store Connect API helps you automate tasks usually done on the Apple Developer website and App Store Connect.

App Store Connect API Documentation

Posts under App Store Connect API tag

144 Posts
Sort by:
Post marked as solved
1 Replies
199 Views
I create app for automatic loading of screenshots and texts for various localizations of the application to the AppStore Connect (for our company use), everything works well. Authorization use JWT. But I receive messages from my ASO department that an error occurs with some unspecified frequency: [401]NOT_AUTHORIZED: Authentication credentials are missing or invalid. I couldn't reproduce the problem myself. Can someone suggest what could be the problem?
Posted
by
Post not yet marked as solved
4 Replies
361 Views
I'm trying to generate a JWT Token to use the App Store Connect API But I don't know how to specify the path variable in the scope that I want to allow. https://developer.apple.com/documentation/appstoreconnectapi/generating_tokens_for_api_requests For example, I want to allow a scope like this { …, “scope”: [ “GET /v1/builds/{id}/app” ] } Do you have any suggestions?
Posted
by
Post not yet marked as solved
2 Replies
253 Views
We followed all the documentation, tried several combinations, but always returning 401. the below is being used in a nodejs application. let options = { algorithm: 'ES256', header: { 'alg': 'ES256', 'typ': 'JWT', 'kid': keyId } }; let now = Math.round((new Date()).getTime() / 1000); // Notice the /1000 let nowPlus20 = now + 1199 // 1200 === 20 minutes; const claims = { "iss": issuerId, "exp": nowPlus20, "aud": "appstoreconnect-v1" }; return jwt.sign(claims, key, options); Please advise and provide some feedbacks, some solutions.
Posted
by
Post not yet marked as solved
0 Replies
149 Views
Hi! I'm new to automating in the Apple Store Connect environment. I'm trying to check in-app purchase scenarios, but I want to create a new sandbox tester before it automatically. Can someone know how to create a new user sandbox tester? (Is there a way in API? ) Many thanks to the helpers Amir
Posted
by
Post not yet marked as solved
0 Replies
138 Views
Dear, I would like to call the API to get my app data from the Analytics parts: we're talking about downloads, conversion rate, impressions, etc. so everything but the sales and financial reports. Is this possible? I do not see any documentation on it. If not, any other option is welcome ! Thanks in advance for your help ! Best, D.
Posted
by
Post not yet marked as solved
1 Replies
214 Views
I'm developing an in-house app which receives a bundle from a POST request and i have to upload that bundle to the App Store. So i did some research and found that i can upload my apps to the App Store manually using Transporter tool. The problem is that i need my app to upload this bundle for me, automatically. For this reason, i'm asking you if there is some kind of API to use the Transporter services through my own app, or if the only way to upload apps to the App Store is using Transporter manually. Thank you.
Posted
by
Post not yet marked as solved
1 Replies
191 Views
The current online version is 1.4.9 which does not show any video I've uploaded, it keeps showing "This file has been uploaded and is processing." So I tried to build a new version 1.4.10, but the video is still showing that, so what should I do to solve this issue? App Store link: https://apps.apple.com/app/id1575588022 Screenshots: 1.4.9 1.4.10 Video info:
Posted
by
Post not yet marked as solved
4 Replies
378 Views
Hello. My App Store Connect is not working. I open https://appstoreconnect.apple.com and login to my account but when I press the apps button, it gives me error Something Went Wrong and it says I have no apps but I have 3 apps already. On the Apple Developer System Status Page, it shows App Store Connect and it's API is having trouble. May I know who else is having problems with App Store Connect?
Posted
by
Post not yet marked as solved
5 Replies
657 Views
(always out-of-date) Developer system status is visible here: https://developer.apple.com/system-status/ However this is mostly out of date and seems to be manually updated since hours go by at times and thousands of reports are needed (both via Feedback Reporter or the dev forums) before this page acknowledges an outage of any kind. Please add a way to contact Apple directly from that page or "ping" whoever's concerned somehow so we can say "Hey guys, it's broken!". If enough people ping, then Apple can take some action. Right now iCloud / App Developer related services are offline multiple times a year and it's very inconvenient as no one even acknowledges till it's widespread everywhere (forums, stackoverflow, twitter etc). Google Play Store services are super efficient in this regard - they respond to bug reports within a few hours, acknowledge it and are transparent. Their server outages seem to be automatically monitored and controlled so that human-operators can be pinged appropriately. Every now and then the notarization service goes down and it's a pain because this means we can no longer notarize and push even "direct" macOS apps with critical fixes.
Posted
by
Post not yet marked as solved
0 Replies
136 Views
Hi, I'd like to implement a feature to integrate with the IAP promotion code. I generated a one-time promotion code and redeemed it. I find the receipt from Apple store contains "promotional_offer_id". I am wondering what it refers to? Its value is not equal to the redeem code, but it is like a UUID. Does anyone have ideas?
Posted
by
Post not yet marked as solved
0 Replies
158 Views
I would like to check current released AppStore version for my iOS app and tvOS app. They have same bundleID. I can't divide it to this url request to tvOS ones and iOS ones, because of identical Bundle ID's. http://itunes.apple.com/br/lookup?bundleId=app.sameIdExample When I get response from url it shows released iOS version. I want to get info about released tvOS version. Any ideas how to divide url or use another two separate urls to get JSON info about tvOS. Please help :)
Posted
by
Post not yet marked as solved
1 Replies
199 Views
I'm working with the app store connect api. I'd like to update the keywords for an appStoreVersionLocalization. I'm getting the following error code: ENTITY_ERROR.ATTRIBUTE.INVALID.TOO_LONG And I've tried limiting the length of the keywords using: let shortenedKeywords = String(keywords.prefix(100)) But I'm still running into the mentioned error. The following string is valid: ตัวแก้ไข xliff, การแปลเป็นภาษาท้องถิ่น, เครื่องมือ xliff, xcode, การแปล xliff, xcloc, การแปลงข้อความ and it returns a character count of 91. If I do something like:      let shortenedKeywords = String(keywords.prefix(80)) The error goes away. Mostly hoping to understand why/how the character limit is calculated for Thai and if it's somehow different. Thanks! Full error included below: String data is: {  "errors" : [ {   "id" : "d4813683-949d-4a62-b4d2-7aac248add3c",   "status" : "409",   "code" : "ENTITY_ERROR.ATTRIBUTE.INVALID.TOO_LONG",   "title" : "An attribute value is too long.",   "detail" : "Keywords for Thai cannot be longer than 100 characters.",   "source" : {    "pointer" : "/data/attributes/keywords"   }  } ] } This is an example request: curl -X "PATCH" "https://api.appstoreconnect.apple.com/v1/appStoreVersionLocalizations/{id}" \ -H 'Authorization: Bearer {token}' \ -H 'Content-Type: application/json; charset=utf-8' \ -d $'{ "data": { "type": "appStoreVersionLocalizations", "attributes": { "keywords": "ตัวแก้ไข xliff, การแปลเป็นภาษาท้องถิ่น, เครื่องมือ xliff, xcode, การแปล xliff, xcloc, การแปลงข้อความ xliff" }, "id": "a4f0ba21-a8ea-4d6b-a162-bf34f36268cc" } }'
Posted
by
Post not yet marked as solved
0 Replies
154 Views
Having a lot of trouble finding any of the basic app meta data in the API documentation. I'm looking for the basic AppStore Product info shown on the App Store page: App Name Subtitle and Description (in En primarily) Screenshots Icon Price and status AppStore link For all of the developer's apps. One call for all would be ideal, but I can loop through and call for each app. Is App Store Connect API even the right place for this info? Do I need to scrape the App Store? Thanks for any help.
Posted
by
Post marked as Apple Recommended
173 Views
I'm facing the following issue when I try to use the API https://appleid.apple.com/auth/usermigrationinfo I want to know if my request is valid POST /auth/usermigrationinfo HTTP/1.1 Host: appleid.apple.com Content-Type: application/x-www-form-urlencoded Authorization: Bearer (Bearer generated) sub=(Team ID 10 letters) target=(Team ID Target 10 letters) client_id=Bundle id client_secret= Secret generated with private key I have already transferred my app to another owner This is my output { "error": "invalid_request" } Thanks & regards
Posted
by
Post not yet marked as solved
0 Replies
174 Views
Hello Are there any limitations on the quantity of the QR-codes which it is possible to generate for app clips in https://appstoreconnect.apple.com/appclips/ui/app-experiences Is there an api for adding and downloading qr codes?
Posted
by
Post not yet marked as solved
0 Replies
179 Views
Hi, Any my organization there are many apple products, i am creating an app for organization. in that app barcode scan facility is their, now i am looking for apple api which can provide details after scanning to barcode like Product type, Model number..etc, is there any api available at apple & what is charges for that api. Thanks, Yusuf Shaikh
Posted
by
Post not yet marked as solved
0 Replies
159 Views
Hello! I noticed that after transferring the app to another account, the Subscriber ID values in subscriber reports have changed. This causes some inconvenience and interferes with calculating retention correctly. Is there any way to link subscriber information in app stats from new and old accounts?
Posted
by
Post not yet marked as solved
1 Replies
232 Views
I want to understand how to handle CANCEL notification type, I noticed that I get 3 CANCEL notifications one after the other, it sounds like the user gets a refund for 3 different transactions, am I wrong? When I look at the receipt I see also the cancellation date ms field in 3 latest transactions in the latest receipt info, does it mean the user gets 3 refunds for 3 transactions? (the cancellation date is the same cancellation date for all the 3 transactions) This is what I got, as you see I got the cancellation date is the same, does it mean a full refund for every transaction in the following?: "cancellation_date_ms": 1650188985000, "cancellation_reason": "0", "expires_date_ms": 1650732253000, "in_app_ownership_type": 2, "original_purchase_date_ms": 1640606326000, "product_id": "com.neocortext.doublicatapp.subscription.weekly.new", "purchase_date_ms": 1650127453000, "quantity": 1, "subscription_group_identifier": "20843276", "transaction_id": "170001301196587", "original_transaction_id": "170001205648289", "web_order_line_item_id": "170000572783810" }, { "cancellation_date_ms": 1650188985000, "cancellation_reason": "0", "expires_date_ms": 1650127453000, "in_app_ownership_type": 2, "original_purchase_date_ms": 1640606326000, "product_id": "com.neocortext.doublicatapp.subscription.weekly.new", "purchase_date_ms": 1649522653000, "quantity": 1, "subscription_group_identifier": "20843276", "transaction_id": "170001295106872", "original_transaction_id": "170001205648289", "web_order_line_item_id": "170000569655974" }, { "cancellation_date_ms": 1650188985000, "cancellation_reason": "0", "expires_date_ms": 1649522653000, "in_app_ownership_type": 2, "original_purchase_date_ms": 1640606326000, "product_id": "com.neocortext.doublicatapp.subscription.weekly.new", "purchase_date_ms": 1648917853000, "quantity": 1, "subscription_group_identifier": "20843276", "transaction_id": "170001289230515", "original_transaction_id": "170001205648289", "web_order_line_item_id": "170000544361015" },
Posted
by